Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class NameValuePair

    java.lang.Object
      |
      +--org.omg.CORBA.NameValuePair

All Implemented Interfaces:
  IDLEntity, Serializable

public final class NameValuePair
extends Object
implements IDLEntity

The NameValuePair interface associates a name with a value that is an attribute of an IDL struct. This interface is used in the DynStruct APIs.

See Also:
  Serialized Form

Field Summary
`String` | `id` The name to be associated with a value by this `NameValuePair` object.
`Any` | `value` The value to be associated with a name by this `NameValuePair` object.

Constructor Summary
`NameValuePair()` Constructs an empty `NameValuePair` object.
`NameValuePair(String __id, Any __value)` Constructs a `NameValuePair` object that associates the given name with the given `org.omg.CORBA.Any` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public String id

  The name to be associated with a value by this `NameValuePair` object.

### value

    public Any value

  The value to be associated with a name by this `NameValuePair` object.

Constructor Detail

### NameValuePair

    public NameValuePair()

  Constructs an empty `NameValuePair` object. To associate a name with a value after using this constructor, the fields of this object have to be accessed individually.

### NameValuePair

    public NameValuePair(String __id,
                         Any __value)

  Constructs a `NameValuePair` object that associates the given name with the given `org.omg.CORBA.Any` object.
  Parameters:
    `__id` - the name to be associated with the given `Any` object
    `__value` - the `Any` object to be associated with the given name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.